# Application Load Balancer API, REST: TargetGroup.Get

Returns the specified target group.

To get the list of all available target groups, make a [List](list.md#List) request.

## HTTP request

```
GET https://alb.api.cloud.yandex.net/apploadbalancer/v1/targetGroups/{targetGroupId}
```

## Path parameters

#|
||Field | Description ||
|| targetGroupId | **string**

Required field. ID of the target group to return.

To get the target group ID, make a [TargetGroupService.List](list.md#List) request. ||
|#

## Response {#yandex.cloud.apploadbalancer.v1.TargetGroup}

**HTTP Code: 200 - OK**

```json
{
  "id": "string",
  "name": "string",
  "description": "string",
  "folderId": "string",
  "labels": "object",
  "targets": [
    {
      // Includes only one of the fields `ipAddress`
      "ipAddress": "string",
      // end of the list of possible fields
      "subnetId": "string",
      "privateIpv4Address": "boolean",
      "externalAddress": "boolean"
    }
  ],
  "createdAt": "string"
}
```

A target group resource.
For details about the concept, see [documentation](../../concepts/target-group.md).

#|
||Field | Description ||
|| id | **string**

ID of the target group. Generated at creation time. ||
|| name | **string**

Name of the target group. The name is unique within the folder. ||
|| description | **string**

Description of the target group. ||
|| folderId | **string**

ID of the folder that the target group belongs to. ||
|| labels | **object** (map<**string**, **string**>)

Target group labels as `key:value` pairs.
For details about the concept, see [documentation](../../../overview/concepts/services.md#labels). ||
|| targets[] | **[Target](#yandex.cloud.apploadbalancer.v1.Target)**

List of targets in the target group. ||
|| createdAt | **string** (date-time)

Creation timestamp.

String in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format. The range of possible values is from
`0001-01-01T00:00:00Z` to `9999-12-31T23:59:59.999999999Z`, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
[Protocol Buffers reference](https://developers.google.com/protocol-buffers/docs/reference/overview).
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits). ||
|#

## Target {#yandex.cloud.apploadbalancer.v1.Target}

A target resource.
For details about the concept, see [documentation](../../concepts/target-group.md).

#|
||Field | Description ||
|| ipAddress | **string**

IP address of the target.

Includes only one of the fields `ipAddress`.

Reference to the target. As of now, targets must only be referred to by their IP addresses. ||
|| subnetId | **string**

ID of the subnet that the target is connected to. ||
|| privateIpv4Address | **boolean**

If set, will not require `subnet_id` to validate the target.
Instead, the address should belong to one of the following ranges:
10.0.0.0/8, 172.16.0.0/12, 192.168.0.0/16
Only one of `subnet_id` or `private_ipv4_address` should be set. ||
|| externalAddress | **boolean**

If set, will not require `subnet_id` to validate the target.
Only one of `subnet_id` or `external_address` should be set. ||
|#